#include "chdecl.h"
void CH_cache(current, sched, cop)
#define ARGUMENTS 7
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto cb6;
    case 4: goto c7;
    case 5: goto cb11;
    case 6: goto c12;
    case 7: goto cb16;
    case 8: goto c17;
    case 9: goto cb21;
    case 10: goto c22;
    case 11: goto cb26;
    case 12: goto c27;
    case 13: goto cb29;
    case 14: goto c30;
    case 15: goto cb34;
    case 16: goto c35;
    case 17: goto cb39;
    case 18: goto c40;
    case 19: goto cb44;
    case 20: goto c45;
    case 21: goto cb49;
    case 22: goto c50;
    case 23: goto cb55;
    case 24: goto c56;
    case 25: goto cb60;
    case 26: goto c61;
    case 27: goto c78;
    case 28: goto c82;
    case 29: goto c91;
    case 30: goto c92;
    case 31: goto c100;
    case 32: goto c101;
    case 33: goto cb102;
    case 34: goto c103;
    case 35: goto cb106;
    case 36: goto c107;
    case 37: goto cb108;
    case 38: goto c109;
    case 39: goto cb111;
    case 40: goto c112;
    case 41: goto cb115;
    case 42: goto c116;
    case 43: goto cb118;
    case 44: goto c119;
    case 45: goto cb122;
    case 46: goto c123;
    case 47: goto cb125;
    case 48: goto c126;
    case 49: goto cb128;
    case 50: goto c129;
    case 51: goto cb131;
    case 52: goto c132;
    case 53: goto cb139;
    case 54: goto c140;
    case 55: goto cb144;
    case 56: goto c145;
    case 57: goto cb149;
    case 58: goto c150;
    case 59: goto cb154;
    case 60: goto c155;
    case 61: goto cb160;
    case 62: goto c161;
    case 63: goto cb165;
    case 64: goto c166;
    case 65: goto cb171;
    case 66: goto c172;
    case 67: goto cb174;
    case 68: goto c175;
    case 69: goto c189;
    case 70: goto cb192;
    case 71: goto c193;
    case 72: goto c203;
    case 73: goto c209;
    case 74: goto c211;
    case 75: goto cb212;
    case 76: goto c213;
    case 77: goto cb215;
    case 78: goto c216;
    case 79: goto cb217;
    case 80: goto c218;
    case 81: goto c220;
    case 82: goto cb226;
    case 83: goto c227;
    case 84: goto c236;
    case 85: goto c241;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* chs_lit 4 , "system" */
  if( !chs_lit(DEF(4),"system") ) goto ch_depletion;
/* chs_lit 5 , "CLoader" */
  if( !chs_lit(DEF(5),"CLoader") ) goto ch_depletion;
/* chs_lit 6 , "" */
  if( !chs_lit(DEF(6),"") ) goto ch_depletion;
  current->ip = 3;
cb6:
/* call 3.2.2 4 5 6 7 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(4),
          arguments[2] = DEF(5),
          arguments[3] = DEF(6),
          arguments[4] = DEF(7),
          arguments[4+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c7:
/* unwrap 8 7 , 3 */
  if ((ch_returncode = che_unwrap(DEF(8),DEF(7),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 9 , "system" */
  if( !chs_lit(DEF(9),"system") ) goto ch_depletion;
/* chs_lit 10 , "pathLoad" */
  if( !chs_lit(DEF(10),"pathLoad") ) goto ch_depletion;
/* chs_lit 11 , "" */
  if( !chs_lit(DEF(11),"") ) goto ch_depletion;
  current->ip = 5;
cb11:
/* call 3.2.2 9 10 11 12 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(9),
          arguments[2] = DEF(10),
          arguments[3] = DEF(11),
          arguments[4] = DEF(12),
          arguments[4+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c12:
/* unwrap 13 12 , 4 */
  if ((ch_returncode = che_unwrap(DEF(13),DEF(12),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 14 , "system" */
  if( !chs_lit(DEF(14),"system") ) goto ch_depletion;
/* chs_lit 15 , "environ" */
  if( !chs_lit(DEF(15),"environ") ) goto ch_depletion;
/* chs_lit 16 , "" */
  if( !chs_lit(DEF(16),"") ) goto ch_depletion;
  current->ip = 7;
cb16:
/* call 3.2.2 14 15 16 17 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(14),
          arguments[2] = DEF(15),
          arguments[3] = DEF(16),
          arguments[4] = DEF(17),
          arguments[4+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c17:
/* unwrap 18 17 , 5 */
  if ((ch_returncode = che_unwrap(DEF(18),DEF(17),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 19 , "system" */
  if( !chs_lit(DEF(19),"system") ) goto ch_depletion;
/* chs_lit 20 , "stdio" */
  if( !chs_lit(DEF(20),"stdio") ) goto ch_depletion;
/* chs_lit 21 , "" */
  if( !chs_lit(DEF(21),"") ) goto ch_depletion;
  current->ip = 9;
cb21:
/* call 3.2.2 19 20 21 22 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(19),
          arguments[2] = DEF(20),
          arguments[3] = DEF(21),
          arguments[4] = DEF(22),
          arguments[4+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c22:
/* unwrap 23 22 , 6 */
  if ((ch_returncode = che_unwrap(DEF(23),DEF(22),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 24 , "system" */
  if( !chs_lit(DEF(24),"system") ) goto ch_depletion;
/* chs_lit 25 , "getCwd" */
  if( !chs_lit(DEF(25),"getCwd") ) goto ch_depletion;
/* chs_lit 26 , "" */
  if( !chs_lit(DEF(26),"") ) goto ch_depletion;
  current->ip = 11;
cb26:
/* call 3.2.2 24 25 26 27 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(24),
          arguments[2] = DEF(25),
          arguments[3] = DEF(26),
          arguments[4] = DEF(27),
          arguments[4+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c27:
/* unwrap 28 27 , 7 */
  if ((ch_returncode = che_unwrap(DEF(28),DEF(27),QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 29 , "File Modification Time" */
  if( !chs_lit(DEF(29),"File Modification Time") ) goto ch_depletion;
  current->ip = 13;
cb29:
/* call 8 29 30 , 8 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8),
          arguments[1] = DEF(29),
          arguments[2] = DEF(30),
          arguments[2+1] = nil,& arguments[0]),QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
  return;
c30:
/* unwrap 31 30 , 9 */
  if ((ch_returncode = che_unwrap(DEF(31),DEF(30),QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 32 , "system" */
  if( !chs_lit(DEF(32),"system") ) goto ch_depletion;
/* chs_lit 33 , "readObj" */
  if( !chs_lit(DEF(33),"readObj") ) goto ch_depletion;
/* chs_lit 34 , "" */
  if( !chs_lit(DEF(34),"") ) goto ch_depletion;
  current->ip = 15;
cb34:
/* call 3.2.2 32 33 34 35 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(32),
          arguments[2] = DEF(33),
          arguments[3] = DEF(34),
          arguments[4] = DEF(35),
          arguments[4+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c35:
/* unwrap 36 35 , 10 */
  if ((ch_returncode = che_unwrap(DEF(36),DEF(35),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 37 , "system" */
  if( !chs_lit(DEF(37),"system") ) goto ch_depletion;
/* chs_lit 38 , "writeObj" */
  if( !chs_lit(DEF(38),"writeObj") ) goto ch_depletion;
/* chs_lit 39 , "" */
  if( !chs_lit(DEF(39),"") ) goto ch_depletion;
  current->ip = 17;
cb39:
/* call 3.2.2 37 38 39 40 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(37),
          arguments[2] = DEF(38),
          arguments[3] = DEF(39),
          arguments[4] = DEF(40),
          arguments[4+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c40:
/* unwrap 41 40 , 11 */
  if ((ch_returncode = che_unwrap(DEF(41),DEF(40),QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 42 , "system" */
  if( !chs_lit(DEF(42),"system") ) goto ch_depletion;
/* chs_lit 43 , "load" */
  if( !chs_lit(DEF(43),"load") ) goto ch_depletion;
/* chs_lit 44 , "" */
  if( !chs_lit(DEF(44),"") ) goto ch_depletion;
  current->ip = 19;
cb44:
/* call 3.2.2 42 43 44 45 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(42),
          arguments[2] = DEF(43),
          arguments[3] = DEF(44),
          arguments[4] = DEF(45),
          arguments[4+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c45:
/* unwrap 46 45 , 4 */
  if ((ch_returncode = che_unwrap(DEF(46),DEF(45),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 47 , "system" */
  if( !chs_lit(DEF(47),"system") ) goto ch_depletion;
/* chs_lit 48 , "store" */
  if( !chs_lit(DEF(48),"store") ) goto ch_depletion;
/* chs_lit 49 , "" */
  if( !chs_lit(DEF(49),"") ) goto ch_depletion;
  current->ip = 21;
cb49:
/* call 3.2.2 47 48 49 50 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(47),
          arguments[2] = DEF(48),
          arguments[3] = DEF(49),
          arguments[4] = DEF(50),
          arguments[4+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c50:
/* unwrap 51 50 , 12 */
  if ((ch_returncode = che_unwrap(DEF(51),DEF(50),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
/* prog_lit 52 , 13 */
  if ((ch_returncode = che_prog_lit(DEF(52),QUAL(13),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 53 52 , 14 */
  if ((ch_returncode = che_procedure(DEF(53),DEF(52),QUAL(14)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 52 */
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).tsdr = & dr_bottom;
/* move 54 53 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54) = REF(53);
  REF(53).tsdr = & dr_bottom;
  current->ip = 23;
cb55:
/* call 54 36 41 31 , 15 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(54),
          arguments[1] = DEF(36),
          arguments[2] = DEF(41),
          arguments[3] = DEF(31),
          arguments[3+1] = nil,& arguments[0]),QUAL(15),sched)) != Normal)
     goto ch_raise_exception;
  return;
c56:
/* prog_lit 55 , 16 */
  if ((ch_returncode = che_prog_lit(DEF(55),QUAL(16),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 56 55 , 17 */
  if ((ch_returncode = che_procedure(DEF(56),DEF(55),QUAL(17)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 55 */
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).tsdr = & dr_bottom;
/* move 57 56 */
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57) = REF(56);
  REF(56).tsdr = & dr_bottom;
  current->ip = 25;
cb60:
/* call 57 46 51 31 , 18 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(57),
          arguments[1] = DEF(46),
          arguments[2] = DEF(51),
          arguments[3] = DEF(31),
          arguments[3+1] = nil,& arguments[0]),QUAL(18),sched)) != Normal)
     goto ch_raise_exception;
  return;
c61:
/* chs_lit 58 , "HROOTDIR" */
  if( !chs_lit(DEF(58),"HROOTDIR") ) goto ch_depletion;
/* find 59 18 58 , 0 */
  if (findfunc(DEF(59),DEF(18),(
          arguments[0] = DEF(58),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 60 59 */
  if((ch_returncode = (REF(59).tsdr->copy)(& ch_val, REF(59).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  REF(60).value = ch_val;
  REF(60).tsdr = datarepmap[REF(59).tsdr->number];
/* copy 61 60.1 */
  if((ch_returncode = cp_table(& ch_val, REF(60)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61).value = ch_val;
  REF(61).tsdr = & dr_table;
/* chs_lit 62 , "/bin" */
  if( !chs_lit(DEF(62),"/bin") ) goto ch_depletion;
/* concat 63 61 62 */
  if ((ch_returncode = che_concat(DEF(63),DEF(61),DEF(62),sched)) != Normal)
     goto ch_raise_exception;
/* discard 62 */
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62).tsdr = & dr_bottom;
/* move 64 63 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64) = REF(63);
  REF(63).tsdr = & dr_bottom;
/* block , 19 */
  if((ch_returncode = che_block(QUAL(19),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 65 , "HPATH" */
  if( !chs_lit(DEF(65),"HPATH") ) goto ch_depletion;
/* find 66 18 65 , 0 */
  if (findfunc(DEF(66),DEF(18),(
          arguments[0] = DEF(65),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 60 66 */
  if((ch_returncode = (REF(66).tsdr->copy)(& ch_val, REF(66).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  REF(60).value = ch_val;
  REF(60).tsdr = datarepmap[REF(66).tsdr->number];
/* move 67 60.1 */
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67) = REF(60)DOT(1);
  REF(60)DOT(1).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 82 */
   goto c82;
c78:
/* chs_lit 68 , ".:" */
  if( !chs_lit(DEF(68),".:") ) goto ch_depletion;
/* concat 69 68 64 */
  if ((ch_returncode = che_concat(DEF(69),DEF(68),DEF(64),sched)) != Normal)
     goto ch_raise_exception;
/* discard 68 */
  (*(REF(68).tsdr)->finalize)(REF(68).value,F_DISCARD,sched);
  REF(68).tsdr = & dr_bottom;
/* move 67 69 */
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67) = REF(69);
  REF(69).tsdr = & dr_bottom;
c82:
/* discard 60.1 */
  (*(REF(60)DOT(1).tsdr)->finalize)(REF(60)DOT(1).value,F_DISCARD,sched);
  REF(60)DOT(1).tsdr = & dr_bottom;
/* block , 20 */
  if((ch_returncode = che_block(QUAL(20),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 70 , "HLOADPATH" */
  if( !chs_lit(DEF(70),"HLOADPATH") ) goto ch_depletion;
/* find 71 18 70 , 0 */
  if (findfunc(DEF(71),DEF(18),(
          arguments[0] = DEF(70),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 60 71 */
  if((ch_returncode = (REF(71).tsdr->copy)(& ch_val, REF(71).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  REF(60).value = ch_val;
  REF(60).tsdr = datarepmap[REF(71).tsdr->number];
/* move 72 60.1 */
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  REF(72) = REF(60)DOT(1);
  REF(60)DOT(1).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 92 */
   goto c92;
c91:
/* copy 72 67 */
  if((ch_returncode = cp_table(& ch_val, REF(67).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  REF(72).value = ch_val;
  REF(72).tsdr = & dr_table;
c92:
/* block , 21 */
  if((ch_returncode = che_block(QUAL(21),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 73 , "HLINKPATH" */
  if( !chs_lit(DEF(73),"HLINKPATH") ) goto ch_depletion;
/* find 74 18 73 , 0 */
  if (findfunc(DEF(74),DEF(18),(
          arguments[0] = DEF(73),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 60 74 */
  if((ch_returncode = (REF(74).tsdr->copy)(& ch_val, REF(74).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  REF(60).value = ch_val;
  REF(60).tsdr = datarepmap[REF(74).tsdr->number];
/* move 75 60.1 */
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75) = REF(60)DOT(1);
  REF(60)DOT(1).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 101 */
   goto c101;
c100:
/* copy 75 72 */
  if((ch_returncode = cp_table(& ch_val, REF(72).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).value = ch_val;
  REF(75).tsdr = & dr_table;
c101:
/* chs_lit 76 , "findfile" */
  if( !chs_lit(DEF(76),"findfile") ) goto ch_depletion;
  current->ip = 33;
cb102:
/* call 13 76 77 , 22 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(13),
          arguments[1] = DEF(76),
          arguments[2] = DEF(77),
          arguments[2+1] = nil,& arguments[0]),QUAL(22),sched)) != Normal)
     goto ch_raise_exception;
  return;
c103:
/* procedure 78 77 , 23 */
  if ((ch_returncode = che_procedure(DEF(78),DEF(77),QUAL(23)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 77 */
  (*(REF(77).tsdr)->finalize)(REF(77).value,F_DISCARD,sched);
  REF(77).tsdr = & dr_bottom;
/* move 79 78 */
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  REF(79) = REF(78);
  REF(78).tsdr = & dr_bottom;
  current->ip = 35;
cb106:
/* call 79 23.11 28 72 80 , 24 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(79),
          arguments[1] = DEF(23)DOT(11),
          arguments[2] = DEF(28),
          arguments[3] = DEF(72),
          arguments[4] = DEF(80),
          arguments[4+1] = nil,& arguments[0]),QUAL(24),sched)) != Normal)
     goto ch_raise_exception;
  return;
c107:
/* move 81 80 */
  (*(REF(81).tsdr)->finalize)(REF(81).value,F_DISCARD,sched);
  REF(81) = REF(80);
  REF(80).tsdr = & dr_bottom;
  current->ip = 37;
cb108:
/* call 79 23.11 28 67 82 , 24 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(79),
          arguments[1] = DEF(23)DOT(11),
          arguments[2] = DEF(28),
          arguments[3] = DEF(67),
          arguments[4] = DEF(82),
          arguments[4+1] = nil,& arguments[0]),QUAL(24),sched)) != Normal)
     goto ch_raise_exception;
  return;
c109:
/* move 83 82 */
  (*(REF(83).tsdr)->finalize)(REF(83).value,F_DISCARD,sched);
  REF(83) = REF(82);
  REF(82).tsdr = & dr_bottom;
/* chs_lit 84 , "pathload" */
  if( !chs_lit(DEF(84),"pathload") ) goto ch_depletion;
  current->ip = 39;
cb111:
/* call 13 84 85 , 22 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(13),
          arguments[1] = DEF(84),
          arguments[2] = DEF(85),
          arguments[2+1] = nil,& arguments[0]),QUAL(22),sched)) != Normal)
     goto ch_raise_exception;
  return;
c112:
/* create 86 85 , 25 */
  if ((ch_returncode = che_create(DEF(86),DEF(85),QUAL(25),sched)) != Normal)
     goto ch_raise_exception;
/* discard 85 */
  (*(REF(85).tsdr)->finalize)(REF(85).value,F_DISCARD,sched);
  REF(85).tsdr = & dr_bottom;
/* move 87 86 */
  (*(REF(87).tsdr)->finalize)(REF(87).value,F_DISCARD,sched);
  REF(87) = REF(86);
  REF(86).tsdr = & dr_bottom;
  current->ip = 41;
cb115:
/* call 87 46 81 88 , 26 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(87),
          arguments[1] = DEF(46),
          arguments[2] = DEF(81),
          arguments[3] = DEF(88),
          arguments[3+1] = nil,& arguments[0]),QUAL(26),sched)) != Normal)
     goto ch_raise_exception;
  return;
c116:
/* noop */
  
/* chs_lit 89 , "pathreadobj" */
  if( !chs_lit(DEF(89),"pathreadobj") ) goto ch_depletion;
  current->ip = 43;
cb118:
/* call 13 89 90 , 22 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(13),
          arguments[1] = DEF(89),
          arguments[2] = DEF(90),
          arguments[2+1] = nil,& arguments[0]),QUAL(22),sched)) != Normal)
     goto ch_raise_exception;
  return;
c119:
/* create 91 90 , 27 */
  if ((ch_returncode = che_create(DEF(91),DEF(90),QUAL(27),sched)) != Normal)
     goto ch_raise_exception;
/* discard 90 */
  (*(REF(90).tsdr)->finalize)(REF(90).value,F_DISCARD,sched);
  REF(90).tsdr = & dr_bottom;
/* move 92 91 */
  (*(REF(92).tsdr)->finalize)(REF(92).value,F_DISCARD,sched);
  REF(92) = REF(91);
  REF(91).tsdr = & dr_bottom;
  current->ip = 45;
cb122:
/* call 92 36 83 93 , 28 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(92),
          arguments[1] = DEF(36),
          arguments[2] = DEF(83),
          arguments[3] = DEF(93),
          arguments[3+1] = nil,& arguments[0]),QUAL(28),sched)) != Normal)
     goto ch_raise_exception;
  return;
c123:
/* noop */
  
/* chs_lit 94 , "rmanager" */
  if( !chs_lit(DEF(94),"rmanager") ) goto ch_depletion;
  current->ip = 47;
cb125:
/* call 13 94 95 , 22 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(13),
          arguments[1] = DEF(94),
          arguments[2] = DEF(95),
          arguments[2+1] = nil,& arguments[0]),QUAL(22),sched)) != Normal)
     goto ch_raise_exception;
  return;
c126:
/* create 96 95 , 29 */
  if ((ch_returncode = che_create(DEF(96),DEF(95),QUAL(29),sched)) != Normal)
     goto ch_raise_exception;
/* discard 95 */
  (*(REF(95).tsdr)->finalize)(REF(95).value,F_DISCARD,sched);
  REF(95).tsdr = & dr_bottom;
  current->ip = 49;
cb128:
/* call 96 97 , 30 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(96),
          arguments[1] = DEF(97),
          arguments[1+1] = nil,& arguments[0]),QUAL(30),sched)) != Normal)
     goto ch_raise_exception;
  return;
c129:
/* noop */
  
/* chs_lit 98 , "ac_none" */
  if( !chs_lit(DEF(98),"ac_none") ) goto ch_depletion;
  current->ip = 51;
cb131:
/* call 13 98 99 , 22 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(13),
          arguments[1] = DEF(98),
          arguments[2] = DEF(99),
          arguments[2+1] = nil,& arguments[0]),QUAL(22),sched)) != Normal)
     goto ch_raise_exception;
  return;
c132:
/* create 100 99 , 31 */
  if ((ch_returncode = che_create(DEF(100),DEF(99),QUAL(31),sched)) != Normal)
     goto ch_raise_exception;
/* discard 99 */
  (*(REF(99).tsdr)->finalize)(REF(99).value,F_DISCARD,sched);
  REF(99).tsdr = & dr_bottom;
/* move 101 100 */
  (*(REF(101).tsdr)->finalize)(REF(101).value,F_DISCARD,sched);
  REF(101) = REF(100);
  REF(100).tsdr = & dr_bottom;
/* wrap 102 46 , 4 */
  if ((ch_returncode = che_wrap(DEF(102),DEF(46),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 103 , "system" */
  if( !chs_lit(DEF(103),"system") ) goto ch_depletion;
/* chs_lit 104 , "load" */
  if( !chs_lit(DEF(104),"load") ) goto ch_depletion;
/* copy 105 101 */
  if((ch_returncode = cp_outport(& ch_val, REF(101).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(105).tsdr)->finalize)(REF(105).value,F_DISCARD,sched);
  REF(105).value = ch_val;
  REF(105).tsdr = & dr_outport;
  current->ip = 53;
cb139:
/* call 97.0 103 104 102 105 , 32 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(97)DOT(0),
          arguments[1] = DEF(103),
          arguments[2] = DEF(104),
          arguments[3] = DEF(102),
          arguments[4] = DEF(105),
          arguments[4+1] = nil,& arguments[0]),QUAL(32),sched)) != Normal)
     goto ch_raise_exception;
  return;
c140:
/* wrap 102 51 , 12 */
  if ((ch_returncode = che_wrap(DEF(102),DEF(51),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 106 , "system" */
  if( !chs_lit(DEF(106),"system") ) goto ch_depletion;
/* chs_lit 107 , "store" */
  if( !chs_lit(DEF(107),"store") ) goto ch_depletion;
/* copy 108 101 */
  if((ch_returncode = cp_outport(& ch_val, REF(101).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(108).tsdr)->finalize)(REF(108).value,F_DISCARD,sched);
  REF(108).value = ch_val;
  REF(108).tsdr = & dr_outport;
  current->ip = 55;
cb144:
/* call 97.0 106 107 102 108 , 32 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(97)DOT(0),
          arguments[1] = DEF(106),
          arguments[2] = DEF(107),
          arguments[3] = DEF(102),
          arguments[4] = DEF(108),
          arguments[4+1] = nil,& arguments[0]),QUAL(32),sched)) != Normal)
     goto ch_raise_exception;
  return;
c145:
/* wrap 102 36 , 10 */
  if ((ch_returncode = che_wrap(DEF(102),DEF(36),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 109 , "system" */
  if( !chs_lit(DEF(109),"system") ) goto ch_depletion;
/* chs_lit 110 , "readObj" */
  if( !chs_lit(DEF(110),"readObj") ) goto ch_depletion;
/* copy 111 101 */
  if((ch_returncode = cp_outport(& ch_val, REF(101).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(111).tsdr)->finalize)(REF(111).value,F_DISCARD,sched);
  REF(111).value = ch_val;
  REF(111).tsdr = & dr_outport;
  current->ip = 57;
cb149:
/* call 97.0 109 110 102 111 , 32 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(97)DOT(0),
          arguments[1] = DEF(109),
          arguments[2] = DEF(110),
          arguments[3] = DEF(102),
          arguments[4] = DEF(111),
          arguments[4+1] = nil,& arguments[0]),QUAL(32),sched)) != Normal)
     goto ch_raise_exception;
  return;
c150:
/* wrap 102 41 , 11 */
  if ((ch_returncode = che_wrap(DEF(102),DEF(41),QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 112 , "system" */
  if( !chs_lit(DEF(112),"system") ) goto ch_depletion;
/* chs_lit 113 , "writeObj" */
  if( !chs_lit(DEF(113),"writeObj") ) goto ch_depletion;
/* copy 114 101 */
  if((ch_returncode = cp_outport(& ch_val, REF(101).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(114).tsdr)->finalize)(REF(114).value,F_DISCARD,sched);
  REF(114).value = ch_val;
  REF(114).tsdr = & dr_outport;
  current->ip = 59;
cb154:
/* call 97.0 112 113 102 114 , 32 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(97)DOT(0),
          arguments[1] = DEF(112),
          arguments[2] = DEF(113),
          arguments[3] = DEF(102),
          arguments[4] = DEF(114),
          arguments[4+1] = nil,& arguments[0]),QUAL(32),sched)) != Normal)
     goto ch_raise_exception;
  return;
c155:
/* copy 115 88 */
  if((ch_returncode = cp_outport(& ch_val, REF(88).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(115).tsdr)->finalize)(REF(115).value,F_DISCARD,sched);
  REF(115).value = ch_val;
  REF(115).tsdr = & dr_outport;
/* wrap 102 115 , 4 */
  if ((ch_returncode = che_wrap(DEF(102),DEF(115),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 116 , "system" */
  if( !chs_lit(DEF(116),"system") ) goto ch_depletion;
/* chs_lit 117 , "pathLoad" */
  if( !chs_lit(DEF(117),"pathLoad") ) goto ch_depletion;
/* copy 118 101 */
  if((ch_returncode = cp_outport(& ch_val, REF(101).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(118).tsdr)->finalize)(REF(118).value,F_DISCARD,sched);
  REF(118).value = ch_val;
  REF(118).tsdr = & dr_outport;
  current->ip = 61;
cb160:
/* call 97.0 116 117 102 118 , 32 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(97)DOT(0),
          arguments[1] = DEF(116),
          arguments[2] = DEF(117),
          arguments[3] = DEF(102),
          arguments[4] = DEF(118),
          arguments[4+1] = nil,& arguments[0]),QUAL(32),sched)) != Normal)
     goto ch_raise_exception;
  return;
c161:
/* wrap 102 93 , 10 */
  if ((ch_returncode = che_wrap(DEF(102),DEF(93),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 119 , "system" */
  if( !chs_lit(DEF(119),"system") ) goto ch_depletion;
/* chs_lit 120 , "pathReadObj" */
  if( !chs_lit(DEF(120),"pathReadObj") ) goto ch_depletion;
/* copy 121 101 */
  if((ch_returncode = cp_outport(& ch_val, REF(101).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(121).tsdr)->finalize)(REF(121).value,F_DISCARD,sched);
  REF(121).value = ch_val;
  REF(121).tsdr = & dr_outport;
  current->ip = 63;
cb165:
/* call 97.0 119 120 102 121 , 32 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(97)DOT(0),
          arguments[1] = DEF(119),
          arguments[2] = DEF(120),
          arguments[3] = DEF(102),
          arguments[4] = DEF(121),
          arguments[4+1] = nil,& arguments[0]),QUAL(32),sched)) != Normal)
     goto ch_raise_exception;
  return;
c166:
/* new_table 122 , 33 */
  if ((ch_returncode = che_new_table(DEF(122),QUAL(33),sched)) != Normal) 
     goto ch_raise_exception;
/* insert 122 97 */
  if ((ch_returncode = insertfunc(DEF(122),DEF(97),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 123 3.2 */
  if((ch_returncode = (REF(3)DOT(2).tsdr->copy)(& ch_val, REF(3)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(123).tsdr)->finalize)(REF(123).value,F_DISCARD,sched);
  REF(123).value = ch_val;
  REF(123).tsdr = datarepmap[REF(3)DOT(2).tsdr->number];
/* insert 122 123 */
  if ((ch_returncode = insertfunc(DEF(122),DEF(123),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* chs_lit 124 , "chainedsysrm" */
  if( !chs_lit(DEF(124),"chainedsysrm") ) goto ch_depletion;
  current->ip = 65;
cb171:
/* call 88 124 125 , 22 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(88),
          arguments[1] = DEF(124),
          arguments[2] = DEF(125),
          arguments[2+1] = nil,& arguments[0]),QUAL(22),sched)) != Normal)
     goto ch_raise_exception;
  return;
c172:
/* create 126 125 , 34 */
  if ((ch_returncode = che_create(DEF(126),DEF(125),QUAL(34)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 125 */
  (*(REF(125).tsdr)->finalize)(REF(125).value,F_DISCARD,sched);
  REF(125).tsdr = & dr_bottom;
  current->ip = 67;
cb174:
/* call 126 122 3.2 127 , 35 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(126),
          arguments[1] = DEF(122),
          arguments[2] = DEF(3)DOT(2),
          arguments[3] = DEF(127),
          arguments[3+1] = nil,& arguments[0]),QUAL(35),sched)) != Normal)
     goto ch_raise_exception;
  return;
c175:
/* move 128 127 */
  (*(REF(128).tsdr)->finalize)(REF(128).value,F_DISCARD,sched);
  REF(128) = REF(127);
  REF(127).tsdr = & dr_bottom;
/* copy 3.2 128 */
  if((ch_returncode = (REF(128).tsdr->copy)(& ch_val, REF(128).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(3)DOT(2).tsdr)->finalize)(REF(3)DOT(2).value,F_DISCARD,sched);
  REF(3)DOT(2).value = ch_val;
  REF(3)DOT(2).tsdr = datarepmap[REF(128).tsdr->number];
/* copy 129 3.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(129).tsdr)->finalize)(REF(129).value,F_DISCARD,sched);
  REF(129).value = ch_val;
  REF(129).tsdr = & dr_table;
/* block , 36 */
  if((ch_returncode = che_block(QUAL(36),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 129 */
  if (REF(129).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(129))) != Normal)
       goto ch_raise_exception;
/* lookup_at 130 129 =(1) */
  if (1 >= (ch_t = REF(129).value.table)->size) goto ch_notfound;
  (*(REF(130).tsdr)->finalize)(REF(130).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(130).value,1);
  REF(130).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 131 129 =(1) */
  if ((ch_returncode = remove_at_func(DEF(131),DEF(129),1)) != Normal)
     goto ch_raise_exception;
/* lookup_at 132 129 =(1) */
  if (1 >= (ch_t = REF(129).value.table)->size) goto ch_notfound;
  (*(REF(132).tsdr)->finalize)(REF(132).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(132).value,1);
  REF(132).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 133 132 */
  if((ch_returncode = (REF(132).tsdr->copy)(& ch_val, REF(132).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(133).tsdr)->finalize)(REF(133).value,F_DISCARD,sched);
  REF(133).value = ch_val;
  REF(133).tsdr = datarepmap[REF(132).tsdr->number];
/* endblock */
  che_endblock(sched);
/* branch , 192 */
   goto c192;
c189:
/* discard 131 */
  (*(REF(131).tsdr)->finalize)(REF(131).value,F_DISCARD,sched);
  REF(131).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* exit , 37 */
  ch_e = handler_type__exit; ch_val = QUAL(37); goto ch_exception;
c192:
  current->ip = 70;
cb192:
/* call 88 133 134 , 22 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(88),
          arguments[1] = DEF(133),
          arguments[2] = DEF(134),
          arguments[2+1] = nil,& arguments[0]),QUAL(22),sched)) != Normal)
     goto ch_raise_exception;
  return;
c193:
/* noop */
  
/* block , 38 */
  if((ch_returncode = che_block(QUAL(38),sched)) != Normal)
     goto ch_raise_exception;
/* create 135 134 , 39 */
  if ((ch_returncode = che_create(DEF(135),DEF(134),QUAL(39)
    ,sched)) != Normal) goto ch_raise_exception;
/* block , 40 */
  if((ch_returncode = che_block(QUAL(40),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 136 , "USER" */
  if( !chs_lit(DEF(136),"USER") ) goto ch_depletion;
/* find 137 18 136 , 0 */
  if (findfunc(DEF(137),DEF(18),(
          arguments[0] = DEF(136),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 138 137.1 */
  if((ch_returncode = cp_table(& ch_val, REF(137)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(138).tsdr)->finalize)(REF(138).value,F_DISCARD,sched);
  REF(138).value = ch_val;
  REF(138).tsdr = & dr_table;
/* endblock */
  che_endblock(sched);
/* branch , 211 */
   goto c211;
c203:
/* block , 41 */
  if((ch_returncode = che_block(QUAL(41),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 139 , "LOGNAME" */
  if( !chs_lit(DEF(139),"LOGNAME") ) goto ch_depletion;
/* find 140 18 139 , 0 */
  if (findfunc(DEF(140),DEF(18),(
          arguments[0] = DEF(139),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 138 140.1 */
  if((ch_returncode = cp_table(& ch_val, REF(140)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(138).tsdr)->finalize)(REF(138).value,F_DISCARD,sched);
  REF(138).value = ch_val;
  REF(138).tsdr = & dr_table;
/* endblock */
  che_endblock(sched);
/* branch , 211 */
   goto c211;
c209:
/* chs_lit 138 , "anonymous" */
  if( !chs_lit(DEF(138),"anonymous") ) goto ch_depletion;
c211:
/* chs_lit 141 , "userrm" */
  if( !chs_lit(DEF(141),"userrm") ) goto ch_depletion;
  current->ip = 75;
cb212:
/* call 13 141 142 , 22 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(13),
          arguments[1] = DEF(141),
          arguments[2] = DEF(142),
          arguments[2+1] = nil,& arguments[0]),QUAL(22),sched)) != Normal)
     goto ch_raise_exception;
  return;
c213:
/* create 143 142 , 42 */
  if ((ch_returncode = che_create(DEF(143),DEF(142),QUAL(42)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 142 */
  (*(REF(142).tsdr)->finalize)(REF(142).value,F_DISCARD,sched);
  REF(142).tsdr = & dr_bottom;
  current->ip = 77;
cb215:
/* call 143 138 128 144 , 43 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(143),
          arguments[1] = DEF(138),
          arguments[2] = DEF(128),
          arguments[3] = DEF(144),
          arguments[3+1] = nil,& arguments[0]),QUAL(43),sched)) != Normal)
     goto ch_raise_exception;
  return;
c216:
/* move 145 144 */
  (*(REF(145).tsdr)->finalize)(REF(145).value,F_DISCARD,sched);
  REF(145) = REF(144);
  REF(144).tsdr = & dr_bottom;
  current->ip = 79;
cb217:
/* call 135 129 3.1 145 , 44 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(135),
          arguments[1] = DEF(129),
          arguments[2] = DEF(3)DOT(1),
          arguments[3] = DEF(145),
          arguments[3+1] = nil,& arguments[0]),QUAL(44),sched)) != Normal)
     goto ch_raise_exception;
  return;
c218:
/* endblock */
  che_endblock(sched);
/* branch , 227 */
   goto c227;
c220:
/* discard 135 */
  (*(REF(135).tsdr)->finalize)(REF(135).value,F_DISCARD,sched);
  REF(135).tsdr = & dr_bottom;
/* discard 138 */
  (*(REF(138).tsdr)->finalize)(REF(138).value,F_DISCARD,sched);
  REF(138).tsdr = & dr_bottom;
/* discard 141 */
  (*(REF(141).tsdr)->finalize)(REF(141).value,F_DISCARD,sched);
  REF(141).tsdr = & dr_bottom;
/* discard 142 */
  (*(REF(142).tsdr)->finalize)(REF(142).value,F_DISCARD,sched);
  REF(142).tsdr = & dr_bottom;
/* create 146 134 , 45 */
  if ((ch_returncode = che_create(DEF(146),DEF(134),QUAL(45)
    ,sched)) != Normal) goto ch_raise_exception;
  current->ip = 82;
cb226:
/* call 146 129 3.1 128 , 46 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(146),
          arguments[1] = DEF(129),
          arguments[2] = DEF(3)DOT(1),
          arguments[3] = DEF(128),
          arguments[3+1] = nil,& arguments[0]),QUAL(46),sched)) != Normal)
     goto ch_raise_exception;
  return;
c227:
/* discard 135 */
  (*(REF(135).tsdr)->finalize)(REF(135).value,F_DISCARD,sched);
  REF(135).tsdr = & dr_bottom;
/* discard 138 */
  (*(REF(138).tsdr)->finalize)(REF(138).value,F_DISCARD,sched);
  REF(138).tsdr = & dr_bottom;
/* discard 145 */
  (*(REF(145).tsdr)->finalize)(REF(145).value,F_DISCARD,sched);
  REF(145).tsdr = & dr_bottom;
/* discard 141 */
  (*(REF(141).tsdr)->finalize)(REF(141).value,F_DISCARD,sched);
  REF(141).tsdr = & dr_bottom;
/* discard 143 */
  (*(REF(143).tsdr)->finalize)(REF(143).value,F_DISCARD,sched);
  REF(143).tsdr = & dr_bottom;
/* discard 146 */
  (*(REF(146).tsdr)->finalize)(REF(146).value,F_DISCARD,sched);
  REF(146).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c236:
/* discard 131 */
  (*(REF(131).tsdr)->finalize)(REF(131).value,F_DISCARD,sched);
  REF(131).tsdr = & dr_bottom;
/* discard 133 */
  (*(REF(133).tsdr)->finalize)(REF(133).value,F_DISCARD,sched);
  REF(133).tsdr = & dr_bottom;
/* discard 134 */
  (*(REF(134).tsdr)->finalize)(REF(134).value,F_DISCARD,sched);
  REF(134).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c241:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
